@echo off

REM  If a Human calls in, InterMail creates a batch file called
REM  DOBBS.BAT. DOBBS.BAT calls THIS batch file with the following
REM  parameters:

REM     %1 - Connect/Carrier Speed
REM     %2 - COM Port   (GAP's ports are Zero Based, Don't Use)
REM     %3 - Minutes to Next Event
REM     %4 - Connect Information

REM  change the following drive/path to match your system

g:
cd \gap


REM  GAPBBS expects the following 7 parameters (and 1 optional (8th)
REM  Parameter for Front Ends that use Minutes to Next Event) :

REM   %1 - DTE Baud rate             (Your "Initial BPS Rate")
REM   %2 - port number to use        (0 = Com 1, 1 = Com 2)
REM   %3 - local or actual user      (0 = remote caller, 2 = local user)
REM   %4 - users actual bps rate     (Caller's Connect/Carrier Rate)
REM   %5 - event time                (number of seconds till event)
REM   %6 - modem connect string      (what you want the caller to see)
REM   %7 - Restricted baud flag      (1 = baud rate not allowed)
REM   %8 - Optional                  If Front End passes Minutes to Next Event
REM                                  use this parameter (# of minutes) and
REM                                  GAPBBS will automatically translate
REM                                  minutes to seconds to next event

REM  Check for Baud Rate Not allowed

if "%1"=="300" goto badbaud
if "%1"=="1200" goto badbaud
if "%1"=="2400" goto badbaud

REM  Unrestricted Baud Rate caller is logging on
REM  Change the 1st parameter to the "Initial BPS Rate" you
REM  have GAP configured for (this is your LOCKED DTE Rate).
REM  Change the 2nd parameter to the Port Number you have GAP
REM  set to (0 = COM 1, 1 = COM2, etc).

GAPBBS 57600 0 0 %1 %3 "( CARRIER %1%4, CONNECT 57600 )" 0 %3
goto done

REM  This caller is below the allowable baud rate, tell GAP
REM  to knock the caller off

:badbaud

REM  Notice that we are not bothering to pass the minutes to the
REM  next event as the 8th parameter since this caller won't be
REM  allowed on.
REM  The '1' as the 7th parameter tells GAPBBS to show the
REM  RESBAUD file (in your GEN directory) and drop carrier on
REM  the caller.

GAPBBS 57600 0 0 %1 0 "( CARRIER %1%4, CONNECT 57600 )" 1


REM  bring the Front End back up

:done

REM   change drive/path to match your system

g:\
cd \im
imrun.bat
